Subject: bug#6143: 24.0.50; don't ispell-kill-ispell over and over

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 May 2010 10:28:26 -0400

> I am thinking about two possible approaches, one is a compromise, minibuffer
> is somewhat special, so ispell process directory could be set to $HOME only
> when spellchecking minibuffer, and name of buffer where ispell process is

How about associating ispell processes with default-directories rather
than just with buffers?  I.e. share ispell processes between buffers
that share default-directory.  And use $HOME whenever possible
(i.e. when we can determine that there's no local dictionary in
default-directory).

        Stefan